<?php
require_once("template.php");

$a='SELECT `id_aliment` FROM `aliments` WHERE `aliment` ="'.$_POST["select_aliment"].'"';
$b = $mysqli->query($a);
$c=$b->fetch_all();

$idaliment= $c[0][0];
$id=$_SESSION['id'];

if(isset($_POST["date"]) && isset($_POST["quantite"]) && isset($_POST["select_aliment"])){ 
    $requete="INSERT INTO `journal` (`date`,`id`, `id_aliment`,`quantite`) VALUES ( '" .$_POST['date'] . "', '" .$id . "', '" .$idaliment . "', '" . $_POST['quantite'] . "')";
    $mysqli->query($requete);
    $msg="L'élément a bien été ajouté au journal";
} else{
    $msg="Il manque des informations";
    }

echo $msg; 





